%define modname pyliblo

Name:           python3-pyliblo
Version:        0.10.0
Release:        %mkrel 1
Summary:        Python bindings for the liblo OSC library
Group:          Development/Python
License:        GPLv2+
URL:            http://das.nasophon.de/pyliblo/
Source0:        http://das.nasophon.de/download/%{modname}-%{version}.tar.gz

BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(python3)

Provides:       %{modname} = %{version}-%{release}

%description
pyliblo is a Python wrapper for the liblo Open Sound Control library.
It supports almost the complete functionality of liblo, allowing you
to send and receive OSC messages using a nice and simple Python API.

Also included are the command line utilities send_osc and dump_osc.

%prep
%autosetup -n %{modname}-%{version}

find -type f -exec sed -i '1s=^#!/usr/bin/\(python\|env python\)[23]\?=#!%{__python3}=' {} +

# Remove shebang and executable bit from example scripts
find examples/ -type f -exec sed -i '1s=^#!/usr/bin/\(python\|env python\)[23]\?==' {} +
chmod -x examples/*

%build
%py3_build

%install
%py3_install

%files
%doc NEWS README examples/
%license COPYING
%{_bindir}/{dump,send}_osc
%{_mandir}/man1/{dump,send}_osc.1.*
%{python3_sitearch}/liblo*.so
%{python3_sitearch}/%{modname}*.egg-info


%changelog
* Fri Mar 25 2022 akien <akien> 0.10.0-1.mga8
+ Revision: 1826195
- Backport pyliblo needed for carla
- imported package python3-pyliblo

